/*
 * $Id: ResponseException.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2004-2006 SUGIMOTO Ken-ichi
 * 作成日: 2005/05/11
 */
package feat2;

/**
 * レスポンスの不整合があったときにスローされる例外。
 * @author SUGIMOTO Ken-ichi
 */
public class ResponseException extends FeatException {

    private static final long serialVersionUID = "$Id: ResponseException.java 220 2007-07-16 10:32:15Z sugimotokenichi $".hashCode();

    public ResponseException() {
        super();
    }

    public ResponseException(String messageId, Throwable cause) {
        super(messageId, cause);
    }

    public ResponseException(String messageId) {
        super(messageId);
    }

    public ResponseException(Throwable cause) {
        super(cause);
    }

}
